Create subscription

Creates a events subscription.

The name passed must be unique within the accounts subscriptions

If you apply filters to your event subscription then all filters must match (logical AND) for the event to be captured.

If you want to match the same event type on multiple different sets of filters (logical OR) then add the event type multiple time to the subscription with differing filters.

Body Params

Subscription details

string
required
length between 1 and 50

Descriptive name for the subscription.

string
enum
required
Defaults to inactive

The subscription status.

Allowed:
subscribedEventTypes
array of objects
required
length between 1 and 100

The event types this subscription collects.

subscribedEventTypes*

An event type and any inclusive filters that should be applied.

string
required

The event type

filters
array of objects
length between 1 and 5

Capture only events that match these filters.

All filters will be accessed and all must match for the event to be captured!

filters

An inclusive filter that must be matched to include the event.

string
required

The JSON path to the field to match against.

Note: The base ($) is the eventData field.

string
required
length between 1 and 1024

The literal value or pattern to match against the value of the field. You use the following syntax to define the match pattern:

  • * matches any number of any characters including none
  • ? matches any single character
  • [abc] matches one character given in the brackets
  • [a-z] matches one character from the range given in the bracket
  • [!abc] matches one character that is not given in the brackets
  • [!a-z] matches one character that is not from the range given in the bracket

Note: Filters use the Unicode character set and ranges must be from lower to higher code points to be valid. e.g. [a-z] is valid but [z-a] is invalid

boolean
Defaults to true

Whether the matching should be case sensitive.

alertsConfiguration
required

Alert options to use if we detect issues with the subscription.

Headers
string

If you are a partner of Dotdigital and have a verified integration then include your integration tracking token here.

string
length ≤ 60
Defaults to customer

Dotdigital use only The calling systems identifier

Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json